/*
	File:		SampleStorageDriverAPI.c

	Contains:	Sample Storage Class functions used by the Storage Class UT Driver

	Version:	1.1

	Copyright:	 1998-1999 by Apple Computer, Inc., all rights reserved.

	File Ownership:

		DRI:				Craig Keithley

		Other Contact:		xxx put other contact here xxx

		Technology:			USB Drivers

	Writers:

		(CJK)	Craig Keithley

	Change History (most recent first):

	  <USB2>	 1/11/99	CJK		update to use sources from 1.1f3 DDK


*/



#include <Errors.h>
#include "SampleStorageDriverAPI.h"

// Prototypes for the functions in the dispatch table for the Unit Table Driver
EXTERN_API_C( OSStatus )
StorageInitialize			(void);

EXTERN_API_C( OSStatus )
StorageControl				(UInt32 theControlSelector, void *theControlData);

EXTERN_API_C( OSStatus )
StorageStatus				(UInt32 theInfoSelector, void *theInfo);

EXTERN_API_C( OSStatus )
StorageExecuteCommand		(StorageExecuteCommandPBPtr storageExecuteCommandPBPtr );


OSStatus StorageInitialize(void)
{
OSStatus	status;

	status = StorageClassDriverInitialize();
	
	return status;
}

OSStatus StorageControl(UInt32 theControlSelector, void * theControlData)
{
OSStatus	status;

	status = StorageClassDriverControl(theControlSelector, theControlData);

	return status;
}

OSStatus StorageStatus(UInt32 theInfoSelector, void *theInfo)
{
#pragma unused (theInfoSelector, theInfo)
OSStatus	status;

	status = StorageClassDriverStatus(theInfoSelector, theInfo);

	return status;
}

OSStatus StorageExecuteCommand(StorageExecuteCommandPBPtr storageExecuteCommandPBPtr)
{
OSStatus	status;

	status = StorageClassDriverExecuteCommand(storageExecuteCommandPBPtr);
	
	return status;
}



StorageClassDispatchTable TheStorageClassDispatchTable =
{
	(UInt32)						kDispatchTableVersion,
	(StorageInitializeProcPtr)		StorageInitialize,
	(StorageControlProcPtr)			StorageControl,
	(StorageStatusProcPtr)			StorageStatus,
	(StorageExecuteCommandProcPtr)	StorageExecuteCommand
};
