/************************ VecaStdLib.r Header ************************/
/* 
	FILE:		VecaStdLib.r
	USAGE:		Resource Source File for VecaStdLib.c
	PURPOSE:	Standard Alert and status Dialog boxes, etc.
				The original resources were created with ResEdit 
				and put in VecaStdLib.Rsrc.  
				This file is DeRes output.
	AUTHOR:		Don Veca
	DATE:		12/23/88
	REVISION HISTORY:
		12/27/88 -	Minor text changes; rederezed.
		12/29/88 -	Added a Standard Interupt Level 
					Status Display DialogBox.
		01/12/89 -  Added a Done button to the Standard 
					Interrupt Level Dialog Box, and renumbered
					the Items as follows:  
						#define stdInterruptOKButtonID	1
						#define stdInteruptStatus1ID	2
						#define stdInteruptStatus2ID 	3
					
*/

resource 'ALRT' (12345, "StdAlertBox") {
	{40, 40, 240, 280},
	12345,
	{	/* array: 4 elements */
		/* [1] */
		OK, visible, sound1,
		/* [2] */
		OK, visible, sound1,
		/* [3] */
		OK, visible, sound1,
		/* [4] */
		OK, visible, sound1
	}
};

resource 'DITL' (12345, "StdAlertItems") {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{174, 162, 194, 222},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{61, 6, 159, 236},
		StaticText {
			disabled,
			"^0^1^2^3"
		},
		/* [3] */
		{2, 3, 57, 55},
		Icon {
			enabled,
			12345
		}
	}
};

resource 'DITL' (1000, "ContinueItem") {
	{	/* array DITLarray: 2 elements */
		/* [1] */
		{108, 162, 128, 222},
		Button {
			enabled,
			"Continue"
		},
		/* [2] */
		{1, 2, 104, 244},
		StaticText {
			enabled,
			"This text is set by SetText().\nIt is for"
			" Status messages."
		}
	}
};

resource 'DITL' (1001, "InteruptWindowItems") {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{177, 172, 197, 221},
		Button {
			enabled,
			"Done"
		},
		/* [2] */
		{2, 4, 91, 237},
		StaticText {
			disabled,
			"To be modified by SetText()."
		},
		/* [3] */
		{97, 4, 173, 237},
		StaticText {
			disabled,
			"To be modified by SetText()."
		}
	}
};

resource 'DITL' (1002) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{95, 165, 115, 225},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{3, 4, 44, 240},
		StaticText {
			enabled,
			"The Prompt Goes Here."
		},
		/* [3] */
		{55, 7, 69, 124},
		EditText {
			enabled,
			"Input Goes Here."
		}
	}
};

resource 'ICON' (12345, "StdAlertICON") {
	$"00 00 04 00 00 00 06 00 00 00 06 00 00 00 07 00"
	$"00 00 05 80 00 00 04 C0 00 00 04 60 00 00 04 20"
	$"00 00 04 30 00 00 04 10 00 00 04 10 00 00 04 10"
	$"00 00 04 10 00 00 04 10 00 00 04 08 00 00 04 00"
	$"00 00 04 00 00 00 04 00 00 00 04 00 00 00 04 00"
	$"00 00 04 00 00 00 04 00 00 00 04 00 00 00 04 00"
	$"00 00 FC 00 00 01 FC 00 00 01 FC 00 00 00 F8"
};

resource 'DLOG' (1000, "ContinueBox") {
	{42, 4, 176, 244},
	plainDBox,
	visible,
	noGoAway,
	0x0,
	1000,
	"Test:  10.01.ConnectData"
};

resource 'DLOG' (1001, "StdInterrupStatusBox") {
	{46, 24, 246, 264},
	documentProc,
	visible,
	noGoAway,
	0x0,
	1001,
	"Interrupt Level Status Window"
};

resource 'DLOG' (1002, "StdGetNumBox") {
	{42, 44, 160, 292},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	1002,
	"New Dialog"
};

resource 'MENU' (130, preload) {
	130,
	textMenuProc,
	0x0,
	enabled,
	"Edit",
	{	/* array: 6 elements */
		/* [1] */
		"Undo", noIcon, "Z", noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain,
		/* [3] */
		"Cut", noIcon, "X", noMark, plain,
		/* [4] */
		"Copy", noIcon, "C", noMark, plain,
		/* [5] */
		"Paste", noIcon, "V", noMark, plain,
		/* [6] */
		"Clear", noIcon, noKey, noMark, plain
	}
};

resource 'MENU' (129, preload) {
	129,
	textMenuProc,
	0x808,
	enabled,
	"File",
	{	/* array: 12 elements */
		/* [1] */
		"New", noIcon, "N", noMark, plain,
		/* [2] */
		"Open", noIcon, "O", noMark, plain,
		/* [3] */
		"-", noIcon, noKey, noMark, plain,
		/* [4] */
		"Close", noIcon, "W", noMark, plain,
		/* [5] */
		"Save", noIcon, "S", noMark, plain,
		/* [6] */
		"Save As", noIcon, noKey, noMark, plain,
		/* [7] */
		"Revert", noIcon, noKey, noMark, plain,
		/* [8] */
		"-", noIcon, noKey, noMark, plain,
		/* [9] */
		"Page Setup", noIcon, noKey, noMark, plain,
		/* [10] */
		"Print", noIcon, noKey, noMark, plain,
		/* [11] */
		"-", noIcon, noKey, noMark, plain,
		/* [12] */
		"Quit", noIcon, "Q", noMark, plain
	}
};

resource 'MENU' (128, preload) {
	128,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{	/* array: 2 elements */
		/* [1] */
		"About This Application", noIcon, noKey, noMark, plain,
		/* [2] */
		"-", noIcon, noKey, noMark, plain
	}
};

resource 'MBAR' (128, preload) {
	{	/* array MenuArray: 3 elements */
		/* [1] */
		128,
		/* [2] */
		129,
		/* [3] */
		130
	}
};

