
/*
	FILE:	SquidCakes.h
	USAGE:	Header File for SquidCakes.c
*/

	/* Standard Menu Constants */
#define	menuBar			128		/* Application's menu bar ID */
#define	appleMenu		128		/* Apple Menu */
#define aboutMenuItem	1
#define fileMenu		129		/* File Menu */
#define	closeMenuItem	4
#define quitMenuItem	12
#define	editMenu		130		/* Edit Menu */
#define	undoMenuItem	1
#define	cutMenuItem		3
#define	copyMenuItem	4
#define	pasteMenuItem	5
#define	clearMenuItem	6

#define sqidAboutAlertID	13554


#define squidCakesID	'Veca'
#define timeID			'ATim'
#define inputID			'DIn '
#define outputID		'SOut'
#define refConSquidCakes	0L
#define refConTime			1L
#define refConInput			2L
#define refConOutput		3L

#define squidInputBufSize	16384	/* 16K */
#define updatePeriod		10


/* New Modification: new buffer is an array of MIDIPacketPtr(s) */
#define recordingBufSize	10000	


/* 
	RESOURCE IDs 
*/
/* Main Dialog Resource ID */
#define dialogResID		 500
/* Main Dialog Item Numbers */
#define nullItem		 0
#define quitItem		 1
#define clearItem		 2
#define text1Item		 3
#define currentItem		 4
#define pendingItem		 5
#define text2Item		 6
#define normalItem		 7
#define fastItem		 8
#define displayItem		 9
#define recordItem		 10
#define playbackItem	 11
#define stopItem		 12
#define allNotesOffItem	 13

/* Main Alert Resource */
#define	DevilAlertBoxID 133

/* Our Icon */
#define myIcon			128

/* shared globals */
extern DialogPtr	TheDialog;


/*
	Function protocall for SquidCakes.c
*/


/*** Defined in SquidCakes.c ***/
extern void 
	InitThings(void);
	
extern void  
	StartDialog(void);
	
extern void 
	StartUp(void);
	
extern void
	RunDialog(void);
	
extern void
	ShutDown(void);
	
extern	void
	CloseThings(void);
	
extern void 
	StopDialog(void);
	
extern pascal void 
	UpdateDisplay(DialogPtr aDialog, short itemNo);
	
extern void 
	AddLine(Str255 text);
	
extern void 
	AddData(Str255 data);
	
extern void 
	ReportOS(OSErr err, Str255 who);
	
extern pascal short 
	Reader(MIDIPacketPtr ParamPacketPtr, long RefCon);
	
extern short 
	ExtractFlags(short shift, short mask, MIDIPacketPtr ThePacketPtr);
	
extern void 
	MyChangeState(Boolean state, Boolean *variable, short itemNo);

extern void
	MySetIHandle(short ItemNo, Handle Hand);
	
extern void
	SquidAllNotesOff(short PortRefNum);

/* 
	Adds an Input Port with given Input Buffer to TheClient, 
	and returns the port's reference number.
	NOTE: this funtion may set CalamariErr and return squidLibErr.
*/
extern short		
AddInputPort(OSType	TheClientID, 
			OSType	ThePortID, 
			short	ThePortType,
			short	TheTimeBase,
			long	TheOffsetTime,
			Ptr		TheReadHook,
			long	TheRefcon,
			char	TheName[],
			short	BufSize
			);
			
			
extern void 
	DoMenuCommand(long MenuResult);

extern void 
	AdjustMenus(void);
	
extern Boolean 
	IsDAWindow(WindowPtr Window);

extern Boolean 
	IsAppWindow(WindowPtr Window);